<?php   
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	
	<link href="https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100;0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
<!-- <link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/owl.carousel.min.css" />
	<link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/owl.theme.default.min.css" />
	<link rel="stylesheet" href="<?php //echo get_template_directory_uri(); ?>/css/style-ltr.css" /> -->
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'Luzuk' ); ?></a> -->
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->

		<?php 
		if( get_theme_mod('pages_logoTmargin',true) ) {
			$pages_logoTmargin = 'padding-top:'.esc_attr(get_theme_mod('pages_logoTmargin')).';';
		}
		if( get_theme_mod('pages_logoBmargin',true) ) {
			$pages_logoBmargin = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logoBmargin')).';';
		}
		if( get_theme_mod('pages_logoLmargin',true) ) {
			$pages_logoLmargin = 'padding-left:'.esc_attr(get_theme_mod('pages_logoLmargin')).';';
		}
		if( get_theme_mod('pages_logoRmargin',true) ) {
			$pages_logoRmargin = 'padding-right:'.esc_attr(get_theme_mod('pages_logoRmargin')).';';
		}

		if( get_theme_mod('RightHeaderTPadding',true) ) {
			$RightHeaderTPadding = 'padding-top:'.esc_attr(get_theme_mod('RightHeaderTPadding')).';';
		}
		if( get_theme_mod('RightHeaderBPadding',true) ) {
			$RightHeaderBPadding = 'padding-bottom:'.esc_attr(get_theme_mod('RightHeaderBPadding')).';';
		}
		if( get_theme_mod('RightHeaderTLadding',true) ) {
			$RightHeaderTLadding = 'padding-left:'.esc_attr(get_theme_mod('RightHeaderTLadding')).';';
		}
		if( get_theme_mod('RightHeaderTRadding',true) ) {
			$RightHeaderTRadding = 'padding-right:'.esc_attr(get_theme_mod('RightHeaderTRadding')).';';
		}
		?>

		<header class="site-header header-transparent header mo-left header-seo">

			
			<div class="heade-border">
				<?php 
				if( get_theme_mod('pages_logoboxtoppostionset',true) ) {
					$pages_logoboxtoppostionset = 'padding-top:'.esc_attr(get_theme_mod('pages_logoboxtoppostionset')).';';
				}
				
				?>
				<div class="row"> 
					<div class="col-md-3 col-sm-6 col-xs-8 logo" style="<?php echo esc_attr($RightHeaderTPadding); ?>" "<?php echo esc_attr($RightHeaderBPadding); ?>" "<?php echo esc_attr($RightHeaderTLadding); ?>" "<?php echo esc_attr($RightHeaderTRadding); ?>"> 

						<!-- <div class="inside-full-height"> -->
							<?php if( get_theme_mod('LogoIcon_display','show' ) == 'show') :
								?>	
								<div class="services-box fill-bg-1">
									<!-- services-box -->

									<div class="col-md-3 col-sm-3 col-xs-4 icon-box">
										<svg class="svg-washer-icon" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="300" height="300" viewBox="0 0 32 32">
											<path d="M29 29c0 1.519-1.231 2.75-2.75 2.75h-20.5c-1.519 0-2.75-1.231-2.75-2.75v-26c0-1.519 1.231-2.75 2.75-2.75h20.5c1.519 0 2.75 1.231 2.75 2.75v26zM27.5 3c0-0.69-0.56-1.25-1.25-1.25h-20.5c-0.69 0-1.25 0.56-1.25 1.25v26c0 0.69 0.56 1.25 1.25 1.25h20.5c0.69 0 1.25-0.56 1.25-1.25v-26z"></path>
											<path d="M28.036 9.75h-24.5c-0.414 0-0.537-0.336-0.537-0.75v-5.76c0-1.537 1.226-2.99 2.749-2.99h20.31c1.607 0 2.94 1.576 2.94 2.99v5.76c0 0.414-0.55 0.75-0.964 0.75zM4.5 8.25h23v-5.009c0-0.675-0.761-1.491-1.44-1.491h-20.31c-0.684 0-1.249 0.794-1.249 1.491v5.009z"></path>
											<path d="M11.75 9.5c-0.414 0-0.75-0.336-0.75-0.75v-7.5c0-0.414 0.336-0.75 0.75-0.75s0.75 0.336 0.75 0.75v7.5c0 0.414-0.336 0.75-0.75 0.75z"></path>
											<path d="M25.603 5.12c0 0.714-0.578 1.293-1.293 1.293s-1.293-0.579-1.293-1.293c0-0.714 0.578-1.293 1.293-1.293s1.293 0.579 1.293 1.293z"></path>
											<path d="M21.982 5.12c0 0.714-0.578 1.293-1.293 1.293s-1.293-0.579-1.293-1.293c0-0.714 0.578-1.293 1.293-1.293s1.293 0.579 1.293 1.293z"></path>
											<path d="M18.362 5.12c0 0.714-0.58 1.293-1.293 1.293-0.714 0-1.293-0.579-1.293-1.293s0.578-1.293 1.293-1.293c0.714 0 1.293 0.579 1.293 1.293z"></path>
											<g class="disc">
												<path d="M15.613 27.917c-3.961 0-7.183-3.222-7.183-7.183s3.222-7.183 7.183-7.183c3.96 0 7.183 3.222 7.183 7.183s-3.223 7.183-7.183 7.183zM15.613 15.051c-3.134 0-5.683 2.549-5.683 5.683s2.55 5.683 5.683 5.683c3.133 0 5.683-2.55 5.683-5.683s-2.55-5.683-5.683-5.683z"></path>
												<path d="M12.876 23.106c-1.754 0-3.277-1.023-4.047-1.842-0.284-0.302-0.27-0.776 0.032-1.060 0.3-0.284 0.774-0.271 1.058 0.030v0c0.104 0.109 2.57 2.636 5.094 0.521 2.857-2.391 5.86-1.037 7.047 0.013 0.31 0.274 0.34 0.748 0.066 1.058s-0.749 0.34-1.058 0.066c-0.099-0.087-2.521-2.139-5.091 0.013-1.045 0.875-2.11 1.201-3.1 1.201z"></path>
												<path d="M19.655 22.189c0 0.286-0.231 0.517-0.517 0.517s-0.517-0.231-0.517-0.517c0-0.285 0.231-0.517 0.517-0.517s0.517 0.231 0.517 0.517z"></path>
												<path d="M19.137 24.258c0 0.285-0.231 0.517-0.517 0.517s-0.517-0.232-0.517-0.517 0.232-0.517 0.517-0.517c0.285 0 0.517 0.231 0.517 0.517z"></path>
												<path d="M17.068 22.706c0 0.285-0.231 0.517-0.517 0.517s-0.517-0.231-0.517-0.517c0-0.286 0.231-0.517 0.517-0.517s0.517 0.231 0.517 0.517z"></path>
												<path d="M16.034 24.775c0 0.285-0.231 0.517-0.517 0.517s-0.517-0.231-0.517-0.517c0-0.286 0.231-0.517 0.517-0.517s0.517 0.231 0.517 0.517z"></path>
												<path d="M12.93 23.74c0 0.285-0.231 0.517-0.517 0.517s-0.517-0.231-0.517-0.517 0.231-0.517 0.517-0.517c0.286 0 0.517 0.232 0.517 0.517z"></path>
											</g>
										</svg>						</div>
									</div>						
								<?php endif ?>
								<div class="col-md-9 col-sm-9 col-xs-8 logobox">
									<?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
								else : 
									if ( is_front_page() ) : ?>
										<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php else : ?>
											<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
									<!-- .site-branding -->
									<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p> 
								<!-- </div> -->
								<div class="clearfix"></div>
								</div>
								
							</div>
							<!-- main header -->
							<div class="col-md-8 col-md-offset-1 col-sm-6 col-xs-4 head-menu main-bar-wraper padding0">
								<!-- <div class="col-md-offset-2 inside-full-height"> -->

									<div class="main-bar clearfix ">
										<div class="top-bar-head">
											<div class="site-navigation ">
												<div class="hamburger-menus">
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
												</div>
												<nav class="navigation">
													<div class="overlaybg"></div><!--  /.overlaybg -->
													<!-- Main Menu -->
													<div class="menu-wrapper" style="<?php echo esc_attr($pages_logoTmargin); ?>" "<?php echo esc_attr($pages_logoBmargin); ?>" "<?php echo esc_attr($pages_logoLmargin); ?>" "<?php echo esc_attr($pages_logoRmargin); ?>">
														<div class="menu-content">
															<?php
															if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
																wp_nav_menu ( array(
																	'menu_class' => 'mainmenu ht-clearfix',
																	'container'=> 'ul',
																	'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
																	'theme_location' => 'primary',  
																)); 
															} else {
																wp_nav_menu ( array(
																	'menu_class' => 'mainmenu ht-clearfix',
																	'container'=> 'ul',
																	'theme_location' => 'primary',  
																)); 
															}
															?>
														</div> <!-- /.hours-content-->


														<div class="clearfix"></div>

													</div><!-- /.menu-wrapper --> 
												</nav>
												<div class="clearfix"></div>
											</div><!--  /.site-navigation -->

										</div>
									</div>
									<!-- </div> -->
								</div>
							</div>
							<!-- main header END -->
							<div class="clearfix"></div>
						</div>
					</header><!-- #masthead -->
				</div>