<?php 

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzuk Premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );
//lzCustomLable($wp_customize, 'LogoIcon_displaySet', 'title_tagline', 'Logo Box Icon Display & Color Setting:');
// to show & hide another button
//$wp_customize->add_setting( 'LogoIcon_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'LogoIcon_display', array( 'label' => 'Icon Display', 'section' => 'title_tagline', 'settings' => 'LogoIcon_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Icon', 'hide' => 'Hide Icon', ), ) ); 
// end to show & hide button
addColorPalatOption($wp_customize, 'HeaderLogo_IconColor', 'title_tagline', 'Icon color', '#5da4f2');

addColorPalatOption($wp_customize, 'header_siteTitle_color', 'title_tagline', 'Site Title Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'header_sitetaglinetxt_color', 'title_tagline', 'Site Tagline Color', '#ffffff'); 

//addColorPalatOption($wp_customize, 'HeaderLogo_IconforinnerpageColor', 'title_tagline', 'Icon Color For Inner page', '#ffffff');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '100', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'Luzuk' )
    )
);



lzCustomLable($wp_customize, 'stepsSectionPaddingSetting', 'title_tagline', 'Set Logo Box Padding:');

$wp_customize->add_setting(
    'RightHeaderTPadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '31px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderTPadding',
    array(
        'settings'      => 'RightHeaderTPadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'RightHeaderBPadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderBPadding',
    array(
        'settings'      => 'RightHeaderBPadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'RightHeaderTLadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '40px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderTLadding',
    array(
        'settings'      => 'RightHeaderTLadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Left Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'RightHeaderTRadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderTRadding',
    array(
        'settings'      => 'RightHeaderTRadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Right Padding', 'Luzuk' )
    )
);


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'lz_fitness_sticky_header_enable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_sticky_header_enable',
        array(
            'settings'      => 'lz_fitness_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


 
lzCustomLable($wp_customize, 'main_header_settings', 'header_settings', ' Set Padding For Navigation Box:');

$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '55px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '5px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '40px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Left Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '150px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Right Padding', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'header_OtherC', 'header_settings', 'Header Colors:');

addColorPalatOption($wp_customize, 'headerbackgroundc_color', 'header_settings', 'Header Background Color', '#ffffff');


$wp_customize->add_setting(
    'Header_hightlightborder_color_one', array(
        'default'           => '#50b2f3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_hightlightborder_color_one',array(
            'settings'      => 'Header_hightlightborder_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Header Highlight Border Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Header_hightlightborder_color_two', array(
        'default'           => '#8995e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_hightlightborder_color_two',array(
            'settings'      => 'Header_hightlightborder_color_two',
            'section'       => 'header_settings',
            'label'         => __( 'Header Highlight Border Color Two ', 'Luzuk Premium' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'headercurrentmenu_color', 'header_settings', 'Header Current Menu Color', '#293263'); 
addColorPalatOption($wp_customize, 'headermenu_color', 'header_settings', 'Header Menu Color', '#293263');
addColorPalatOption($wp_customize, 'headermenusmallbrss_color', 'header_settings', 'Header Menu Border Color', '#55bbfe');

addColorPalatOption($wp_customize, 'headerhovermenu_color', 'header_settings', 'Header Menu Hover Color', '#5ba7f3');
addColorPalatOption($wp_customize, 'headersubmenubgss_color', 'header_settings', 'Header Dropdown Background Color', '#434b76d1');

addColorPalatOption($wp_customize, 'headersubmenubgssBrs_color', 'header_settings', 'Header Dropdown Border Color', '#5ba7f3');

addColorPalatOption($wp_customize, 'headersubmenu_color', 'header_settings', 'Header Sub Menu Color', '#ffffff');
addColorPalatOption($wp_customize, 'headersubmenuicons_color', 'header_settings', 'Header Sub Menu Icon Color', '#ffffff');


addColorPalatOption($wp_customize, 'headersubmenuhover_color', 'header_settings', 'Header Sub Menu hover Color', '#5ba7f3');
addColorPalatOption($wp_customize, 'headersubmenuborderc_color', 'header_settings', 'Header Sub Menu Hover Icon Color', '#5ba7f3');
addColorPalatOption($wp_customize, 'headerdropdowncurrentsubmenu_color', 'header_settings', 'Header Current Sub Menu Color', '#5ba7f3');
addColorPalatOption($wp_customize, 'togglebarctmainborder_color', 'header_settings', 'Select Toggle Bar Color for  tablets and mobile view', '#ffffff');
addColorPalatOption($wp_customize, 'navigationboxbgssresponsive_color', 'header_settings', 'Select Navigation Box Background Color for  tablets and mobile view', '#ffffff');
addColorPalatOption($wp_customize, 'navigationboxbgssresponsivebrss_color', 'header_settings', 'Select Navigation Box Border Color for  tablets and mobile view', '#5ba7f3');

addColorPalatOption($wp_customize, 'responsiveHeaderBackground_color', 'header_settings', 'Select Homepage Header Background Color for tablets and mobile view', '#293263');

$wp_customize->add_setting(
    'InnerPageTitleBgss_color_one', array(
        'default'           => '#7989f8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerPageTitleBgss_color_one',array(
            'settings'      => 'InnerPageTitleBgss_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Select Header Background Color 1 for Innerpage ', 'Luzuk Premium' ),
        )
    )
);
$wp_customize->add_setting(
    'InnerPageTitleBgss_color_two', array(
        'default'           => '#50b2f1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerPageTitleBgss_color_two',array(
            'settings'      => 'InnerPageTitleBgss_color_two',
            'section'       => 'header_settings',
            'label'         => __( 'Select Header Background Color 2 for Innerpage', 'Luzuk Premium' ),
        )
    )
); 

//addColorPalatOption($wp_customize, 'InnerpagesHeaderBackground_color', 'header_settings', 'Select Header Background Color for Innerpage', '#1d224c');

//  $wp_customize->add_setting(
//     'InnerpagesHeaderBackground_color', array(
//         'default'           => '#7989f8',
//         'sanitize_callback' => 'sanitize_hex_color',
//     )
// );
// $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerpagesHeaderBackground_color',array(
//             'settings'      => 'InnerpagesHeaderBackground_color',
//             'section'       => 'header_settings',
//             'label'         => __( 'Select Header Background Color for Innerpage', 'Luzuk Premium' ),
//         )
//     )
// );
//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzuk Premium'),
	'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#5ba7f3');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#293263');

lzCustomLable($wp_customize, 'lz_fitness_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Color Setting For Innerpage Colors:');

addColorPalatOption($wp_customize, 'innerpage_titlecolor', 'colors', 'Inner page title color', '#ffffff');


addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionbox_color', 'colors', 'Inner Page Box Background color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading1_color', 'colors', 'Heading1 color', '#293263');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading2_color', 'colors', 'Heading2 color', '#293263');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading3_color', 'colors', 'Heading3 color', '#293263');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading4_color', 'colors', 'Heading4 color', '#293263');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading5_color', 'colors', 'Heading5 color', '#293263');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpagemainsectionboxheading6_color', 'colors', 'Heading6 color', '#293263');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text color', '#737373');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links color', '#777777');
addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover color', '#5ba7f3');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page List Number color', '#ffffff');
addColorPalatOption($wp_customize, 'innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page List Number Background color', '#5ba7f3');

addColorPalatOption($wp_customize, 'innerpagemainsectionboxallbrss_color', 'colors', 'Inner Page Border color', '#e1e1e1');

//new
addColorPalatOption($wp_customize, 'rg_template_innerpagesidebardaybgsstxt_color', 'colors', 'Pages Other Fields Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'rg_template_innerpagesidebarallhvrsslinkstxtshvrc_color', 'colors', 'Pages Buttons & Other Texts Color', '#ffffff');




$wp_customize->add_setting(
    'About_Laundry_InnerpagePostsImage_color_one', array(
        'default'           => '#7989f8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'About_Laundry_InnerpagePostsImage_color_one',array(
            'settings'      => 'About_Laundry_InnerpagePostsImage_color_one',
            'section'       => 'colors',
            'label'         => __( 'Inner Page Posts Image Hover Overlay Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'About_Laundry_InnerpagePostsImage_color_two', array(
        'default'           => '#5ba7f3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'About_Laundry_InnerpagePostsImage_color_two',array(
            'settings'      => 'About_Laundry_InnerpagePostsImage_color_two',
            'section'       => 'colors',
            'label'         => __( 'Inner Page Posts Image Hover Overlay Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

// addColorPalatOption($wp_customize, 'Single_PostPageTitleColor', 'colors', 'Single Post Page & Product Pages Title Color', '#ffffff');
// addColorPalatOption($wp_customize, 'Single_PostPageTitleBackgroundColor', 'colors', 'Single Post Page Title Background Color', '#5ba7f3');


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'innerpage_breadcrumbtitlecolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Title Color', 'ffffff');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'innerpage_breadcrumbcurrenttitlecolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Current Title Color', 'ffffff');
addColorPalatOption($wp_customize, 'innerpage_breadcrumbcurrenttitlehovercolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Current Title Hover Color', '#ffffff');

// addColorPalatOption($wp_customize, 'innerpage_breadcrumbBgssColor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Background Color', '#6d7bf5');
// addColorPalatOption($wp_customize, 'innerpage_breadcrumbBgssBrssColor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Border Color', '#6d7bf5');

 

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'postpagedate_settings',
	array(
		'title' => __( 'Posts Page Date, Socials & Inner Page Header Animation Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postsocials_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postsocials_button_display', array( 'label' => 'Post socials Display', 'section' => 'postpagedate_settings', 'settings' => 'postsocials_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Socials', 'hide' => 'Hide Post Socials', ), ) ); 

// end to show & hide button
$wp_customize->add_setting( 'innerbubbles_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'innerbubbles_animation_display', array( 'label' => 'Inner Pages Header Animation Display', 'section' => 'postpagedate_settings', 'settings' => 'innerbubbles_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Animation', 'hide' => 'Hide Animation', ), ) ); 

addColorPalatOption($wp_customize, 'lz_fitness_innerpageallheader_animatedbx_Color', 'postpagedate_settings', 'Animation Icon Color', '#ffffff');


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


backgroundManager($wp_customize, 'footer', 'footer_copyright_settings', $color='#ffffff', get_template_directory_uri().'/images/footer-bg.jpg', 'color');



$wp_customize->add_setting(
    'FooterOverlay_ContentBox_color_one', array(
        'default'           => '#5d6fe6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FooterOverlay_ContentBox_color_one',array(
            'settings'      => 'FooterOverlay_ContentBox_color_one',
            'section'       => 'footer_copyright_settings',
            'label'         => __( 'Footer Overlay Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'FooterOverlay_ContentBox_color_two', array(
        'default'           => '#5d6fe6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FooterOverlay_ContentBox_color_two',array(
            'settings'      => 'FooterOverlay_ContentBox_color_two',
            'section'       => 'footer_copyright_settings',
            'label'         => __( 'Footer Overlay Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

lzCustomLable($wp_customize, 'Footerbubble_animdisplay', 'footer_copyright_settings', 'Bubble Animation Display Setting:');
// to show & hide another button
$wp_customize->add_setting( 'footerbub_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'footerbub_animation_display', array( 'label' => 'Bubble Animation Display', 'section' => 'footer_copyright_settings', 'settings' => 'footerbub_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Bubble Animation', 'hide' => 'Hide Bubble Animation', ), ) ); 


lzCustomLable($wp_customize, 'FooterSectionPaddingSetting', 'footer_copyright_settings', 'Set Footer Top & Bottom Padding');

$wp_customize->add_setting(
    'FooterTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '120px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'FooterTpadding',
    array(
        'settings'      => 'FooterTpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'FooterBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '120px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'FooterBpadding',
    array(
        'settings'      => 'FooterBpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'FooterSectionphonetaglineSetting', 'footer_copyright_settings', 'Phone Tagline & Phone Number');

$wp_customize->add_setting(
    'footerphone_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Call Us', 'Luzuk Premium' )
    ) 
);
$wp_customize->add_control(
    'footerphone_title',
    array(
        'settings'      => 'footerphone_title',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Add Phone Tagline Here:', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'footerphone_number',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '1800-123-4567', 'Luzuk Premium' )
    ) 
);
$wp_customize->add_control(
    'footerphone_number',
    array(
        'settings'      => 'footerphone_number',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Add Phone Number Here:', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'footer_phoneNumIcon_color', 'footer_copyright_settings', 'Phone Number Icon Color', '#6c97f5');
addColorPalatOption($wp_customize, 'footer_PhoneNumIcoBgs_color', 'footer_copyright_settings', 'Phone Number Icon Background Color', '#ffffff');



$wp_customize->add_setting(
    'footer_copyrighttext',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Copyright © 2020 Laundry Services', 'Luzuk Premium' )
    ) 
);
$wp_customize->add_control(
    'footer_copyrighttext',
    array(
        'settings'      => 'footer_copyrighttext',
        'section'       => 'footer_copyright_settings',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#ffffff');



$wp_customize->add_setting(
        'FooterBottom_button',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Terms & Conditions', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'FooterBottom_button',
        array(
            'settings'      => 'FooterBottom_button',
            'section'       => 'footer_copyright_settings',
            'type'          => 'text',
            'label'         => __( 'Terms & Conditions Text Here:', 'Luzuk' )
        )
    );
$wp_customize->add_setting('FooterBottomlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('FooterBottomlink',
    array(
        'settings'      => 'FooterBottomlink',
        'section'       => 'footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Add Link For Terms & Conditions Text:', 'Luzuk' )
    )
);    

$wp_customize->add_setting(
        'FooterBottomPrivacy_button',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Privacy Policy', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'FooterBottomPrivacy_button',
        array(
            'settings'      => 'FooterBottomPrivacy_button',
            'section'       => 'footer_copyright_settings',
            'type'          => 'text',
            'label'         => __( 'Privacy Policy Text Here:', 'Luzuk' )
        )
    );
$wp_customize->add_setting('FooterBottomPrivacylink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('FooterBottomPrivacylink',
    array(
        'settings'      => 'FooterBottomPrivacylink',
        'section'       => 'footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Add Link For Privacy Policy Text:', 'Luzuk' )
    )
);    




//theme Footer title Color
addColorPalatOption($wp_customize, 'footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#fff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#ffffff');
//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'footer_iconhover_color', 'footer_copyright_settings', 'Footer Icon Hover Color', '#293263');

//theme Footer text Color
addColorPalatOption($wp_customize, 'footer_text_color', 'footer_copyright_settings', 'Footer Text Color', '#ffffff');


addColorPalatOption($wp_customize, 'footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#ffffff');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#ffffff');

//theme Footer menu date Color
addColorPalatOption($wp_customize, 'footer_menudate_color', 'footer_copyright_settings', 'Footer Menu Date Text Color', '#293263');

//theme Footer social Color
addColorPalatOption($wp_customize, 'footer_social_color', 'footer_copyright_settings', 'Footer Social Color', '#ffffff');

//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Hover Color', '#293263');

//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#ffffff');
//theme Footer table border Color
addColorPalatOption($wp_customize, 'footer_tableborder_color', 'footer_copyright_settings', 'Footer Table, Footer Title & Posts Menu Border Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_otherborderss_color', 'footer_copyright_settings', 'Footer Other Borders Color', '#bbc3f2');


addColorPalatOption($wp_customize, 'footer_formlabeltxt_color', 'footer_copyright_settings', 'Footer Form label Text Color', '#ffffff');

//theme Footer form Color
addColorPalatOption($wp_customize, 'footer_form_color', 'footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#293263');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Form Text Fields Background Color', '#fff');


//theme Footer form button Color
addColorPalatOption($wp_customize, 'footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Text Color', '#293263');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_formallotherfbgss_color', 'footer_copyright_settings', 'Footer Other Fields Background Color', '#293263');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
// end to show & hide button

//addColorPalatOption($wp_customize, 'lz_fitness_shoppageheaderbg_color', 'lz_fitness_shopsidebar_settings', 'Shop Pages Top Header Background Color', '#2e2e2e');


$wp_customize->add_section(
	'innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
); 

lzCustomLable($wp_customize, 'ServicePageColorDispaly', 'innerpageshortcode_page_settings', 'Set Service Shortcode Page Colors:');

lzCustomLable($wp_customize, 'ServicePageColorimgDispaly', 'innerpageshortcode_page_settings', 'Note: Use Services Images Of Same Resolution:');

addColorPalatOption($wp_customize, 'ServicePage_NameTextColor', 'innerpageshortcode_page_settings', 'Select Services Name color', '#6d7bf5');
addColorPalatOption($wp_customize, 'ServicePage_ContentTextColor', 'innerpageshortcode_page_settings', 'Select Services Content color', '#293263');
addColorPalatOption($wp_customize, 'ServicePage_ImageHoverIconColor', 'innerpageshortcode_page_settings', 'Select Services Image Hover Icon color', '#6d7bf5');
addColorPalatOption($wp_customize, 'ServicePage_ImageHoverIconBgssColor', 'innerpageshortcode_page_settings', 'Select Services Image Hover Icon Background color', '#ffffff');

$wp_customize->add_setting(
    'ServicePage_ImageOverlayBackground_color_one', array(
        'default'           => '#50b2f3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'ServicePage_ImageOverlayBackground_color_one',array(
            'settings'      => 'ServicePage_ImageOverlayBackground_color_one',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Services Image Hover Overlay Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'ServicePage_ImageOverlayBackground_color_two', array(
        'default'           => '#7989f8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'ServicePage_ImageOverlayBackground_color_two',array(
            'settings'      => 'ServicePage_ImageOverlayBackground_color_two',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Services Image Hover Overlay Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 



lzCustomLable($wp_customize, 'TeamPageColorDispaly', 'innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors:');

addColorPalatOption($wp_customize, 'TeamBoxInnerMemberNameTextColor', 'innerpageshortcode_page_settings', 'Select Team Member Name Text color', '#6d7bf5');
addColorPalatOption($wp_customize, 'TeamBoxInnerMemberNameDesignationColor', 'innerpageshortcode_page_settings', 'Select Team Member Designation Text color', '#1d224c');
addColorPalatOption($wp_customize, 'TeamBoxInnerMemberSocialsColor', 'innerpageshortcode_page_settings', 'Select Team Socials color', '#ffffff');
addColorPalatOption($wp_customize, 'TeamBoxInnerMemberSocialsBackgroundColor', 'innerpageshortcode_page_settings', 'Select Team Socials Background color', '#6d7bf5');
addColorPalatOption($wp_customize, 'TeamBoxInnerMemberSocialsBackgroundHoverColor', 'innerpageshortcode_page_settings', 'Select Team Hover Socials Background color', '#f39c57');

 
lzCustomLable($wp_customize, 'TestimonialPageColorDisplay', 'innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors:'); 
 
$wp_customize->add_setting(
    'TestimonialNmaeFont', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '30px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'TestimonialNmaeFont',
    array(
        'settings'      => 'TestimonialNmaeFont',
        'section'       => 'innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Set Testimonial Member Name Font Size:', 'Luzuk' )
    )
);


addColorPalatOption($wp_customize, 'InnerTestimonialsClientImgBorderColor', 'innerpageshortcode_page_settings', 'Select Client Image Border Color', '#f6fbff');
addColorPalatOption($wp_customize, 'InnerTestimonialsClientImgIconColor', 'innerpageshortcode_page_settings', 'Select Client Image Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'InnerTestimonialsClientImgIconBackgroundColor', 'innerpageshortcode_page_settings', 'Select Client Image Icon Background Color', '#f39c57');
addColorPalatOption($wp_customize, 'InnerTestimonialsBoxBackgroundColor', 'innerpageshortcode_page_settings', 'Select Testimonial Box Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'InnerTestimonialsContentColor', 'innerpageshortcode_page_settings', 'Select Content Color', '#293263');
addColorPalatOption($wp_customize, 'InnerTestimonialsClientNameColor', 'innerpageshortcode_page_settings', 'Select Client Name Text Color', '#293263');
addColorPalatOption($wp_customize, 'InnerTestimonialsClientDesignationColor', 'innerpageshortcode_page_settings', 'Select Client Designation Text Color', '#5ba7f3');

 
lzCustomLable($wp_customize, 'galleryinnerpagepageclrdisplay', 'innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors:'); 

lzCustomLable($wp_customize, 'galleryinnerpagepageclnoterdisplay', 'innerpageshortcode_page_settings', 'Note: Use Gallery Images Of Same Resolution:'); 

addColorPalatOption($wp_customize, 'GalleryImageHoverOverlayColor', 'innerpageshortcode_page_settings', 'Gallery Image Hover Overlay Background Color', '#1d224c');


lzCustomLable($wp_customize, 'FaqColorsDisplay', 'innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors:');

addColorPalatOption($wp_customize, 'FaqIconColor', 'innerpageshortcode_page_settings', 'Faq Icon Color', '#5f5c7c');
addColorPalatOption($wp_customize, 'FaqQuesTextColor', 'innerpageshortcode_page_settings', 'Faq Question Text Color', '#5a5a5a');
addColorPalatOption($wp_customize, 'FaqQuesTextBxBgsColor', 'innerpageshortcode_page_settings', 'Faq Question Text Box Background Color', '#f9f9f9');
addColorPalatOption($wp_customize, 'FaqAnswTextColor', 'innerpageshortcode_page_settings', 'Faq Answer Text Color', '#5a5a5a');

addColorPalatOption($wp_customize, 'FaqActiveIconColor', 'innerpageshortcode_page_settings', 'Active Faq Question Icon Color', '#fff');
addColorPalatOption($wp_customize, 'FaqActiveQuesTextColor', 'innerpageshortcode_page_settings', 'Active Faq Question Text Color', '#fff');


$wp_customize->add_setting(
    'FaqQuestionBx_color_one', array(
        'default'           => '#5ba7f3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FaqQuestionBx_color_one',array(
            'settings'      => 'FaqQuestionBx_color_one',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Active Faq Question Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'FaqQuestionBx_color_two', array(
        'default'           => '#4b93dc',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FaqQuestionBx_color_two',array(
            'settings'      => 'FaqQuestionBx_color_two',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Active Faq Question Box Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 



$wp_customize->add_section(
	'lz_fitness_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Fonts Settings', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh1_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 1:');


$wp_customize->add_setting(
	'pages_innerpageheading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '24px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading',
	array(
		'settings'      => 'pages_innerpageheading',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1', 'Luzuk' )
	)
);


lzCustomLable($wp_customize, 'lz_fitness_innerpageh2_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 2:');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '23px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2', 'Luzuk' )
	)
);


lzCustomLable($wp_customize, 'lz_fitness_innerpageh3_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 3:');


$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '20px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh4_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 4:');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '19px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh5_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 5:');


$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '18px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_innerpageh6_fontsizeset', 'lz_fitness_innerpagefont_settings', ' Heading 6:');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '17px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'lz_fitness_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6', 'Luzuk' )
	)
);

